Subject: [Wocky] MSN crash due to server behavior change

From: Greg Hudson <[email-masked]>
Date: Fri, 25 Aug 2006 10:28:51 -0400

Today a consultant reported seeing Gaim crash under Solaris.  A
backtrace revealed that it was trying to connect to an MSN account,
didn't get the fields it expected from the server, and didn't do
enough error-checking to avoid a crash under those circumstances.  A
little net research turned up this:

   http://sourceforge.net/forum/forum.php?thread_id=1554621&forum_id=665

The Gaim developers have released a fix to 2.0.0 beta 3 to fix the
problem, but not to the stable 1.5 branch.

This problem may affect Adium as well.

I don't know how widespread the use of MSN is with Gaim or Adium at
MIT, but if we receive a substantial number of complaints, we may want
to backport the upstream fix to 1.5 and release it.  For now, the
workaround is to disable your MSN account and use a different client
if you need to connect to MSN.